id: wordpress-wp-reset

info:
  name: WP Reset – Most Advanced WordPress Reset Tool Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/wp-reset/
  metadata:
    plugin_namespace: wp-reset
    wpscan: https://wpscan.com/plugin/wp-reset
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/wp-reset/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/wp-reset.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100d14d14c3c7e9947ef1864a6289d4aac0dc6faef7c21e7e7eaef5e338917cc3fa022100a205c1c079e9fca81a4a6b91076aa754e6c2e57fb0cb4892d74f712ce349bc85:922c64590222798bb761d5b6d8e72950